import React, { useState, useEffect } from 'react';
import { useContainer, usePermissions, useRecordingStatus, useRecordingCycle, downloadRecords } from '../main';
export const WithVoiceRecorder = ({ deep, containerLinkId: passedContainerLinkId, children }) => {
    const containerLinkIdFromHook = useContainer(deep);
    const [containerLinkId, setContainerLinkId] = useState(passedContainerLinkId || containerLinkIdFromHook);
    const [recording, setRecording] = useState(false);
    const [records, setRecords] = useState([]);
    useEffect(() => {
        setContainerLinkId(passedContainerLinkId || containerLinkIdFromHook);
    }, [deep, passedContainerLinkId, containerLinkIdFromHook]);
    const { recorderPermissions, deviceSupport, getPermissions } = usePermissions();
    const audioRecordingStatus = useRecordingStatus({});
    const sounds = useRecordingCycle({ deep, recording, containerLinkId, duration: 5000 });
    const startRecordingCycle = () => setRecording(true);
    const stopRecordingCycle = () => setRecording(false);
    const fetchRecords = async () => {
        const fetchedRecords = await downloadRecords(deep);
        setRecords(fetchedRecords);
    };
    const childWithProps = React.cloneElement(children, {
        recorderPermissions,
        deviceSupport,
        getPermissions,
        audioRecordingStatus,
        sounds,
        startRecordingCycle,
        stopRecordingCycle,
        fetchRecords,
        records,
        containerLinkId
    });
    return childWithProps;
};
