import { useEffect } from 'react';
import { useLocalStore } from '@deep-foundation/store/local.js';
import { createContainer } from '../create-container.js';
// Custom React hook for managing the container link ID.
// - deep: The DeepClient instance.
// Returns container link ID.
export const useContainer = (deep) => {
    const [containerLinkId, setContainerLinkId] = useLocalStore('audioRecordsContainerLinkId', undefined); // custom LocalStore state to store the container link id.
    useEffect(() => {
        if (!containerLinkId) {
            const initializeContainerLink = async () => {
                setContainerLinkId(await createContainer(deep)); // Create the container link if it doesn't exist.
            };
            initializeContainerLink();
        }
    }, [deep]);
    return containerLinkId; // Return the container link ID.
};
